For the complete documentation index, see llms.txt. This page is also available as Markdown.

Group

List groups

get

List groups in the same workspace.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger · min: 1 · max: 9007199254740991Optional

Which page to fetch

Default: 1
pageSizeinteger · min: 1 · max: 30Optional

Page size to use

Default: 30
statusstring · enumOptional

Group status

Possible values:
namestring · min: 1Optional

Filter groups by name (case-insensitive contains)

memberIdstring · min: 1Optional

Only return groups that include this member (user id)

sortBystring · enumOptional

Sort by attribute

Default: createdAtPossible values:
sortOrderstring · enumOptional

Sort order

Default: ascPossible values:
Responses
200

Successful response

application/json
pagenumberRequired

Current page

nextnumber · nullableRequired

Next page or null if there is none

prevnumber · nullableRequired

Previous page or null if there is none

pageSizenumberRequired

Max count of items per page

totalnumberRequired

Total count of items

get/groups
GET /rest/groups HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "page": 1,
  "next": 1,
  "prev": 1,
  "pageSize": 1,
  "total": 1,
  "results": [
    {
      "id": "text",
      "legacyId": 1,
      "name": "text",
      "description": "text",
      "status": "ACTIVE",
      "members": [
        {
          "id": "text",
          "legacyId": 1,
          "legacyViewAll": true,
          "workspaceName": "text",
          "name": "text",
          "deviceUserId": "text",
          "deviceType": "PSD",
          "role": "ADMIN",
          "pubKey": "text",
          "status": "ACTIVE",
          "isSuspended": true,
          "createdAt": "text",
          "updatedAt": "text"
        }
      ],
      "createdAt": "text",
      "updatedAt": "text"
    }
  ]
}

Get a single group

get

Find a group by ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Id of the target group

Responses
200

Successful response

application/json

Group

idstringRequired

Internal unique identifier

legacyIdnumberRequired

Legacy internal unique identifier (for retro-compatibility)

namestringRequired

Group name

descriptionstring · nullableRequired

Group description

statusstring · enumRequired

Group status

Possible values:
createdAtstringRequired

Creation timestamp

updatedAtstringRequired

Last modification timestamp

get/groups/{id}
GET /rest/groups/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "legacyId": 1,
  "name": "text",
  "description": "text",
  "status": "ACTIVE",
  "members": [
    {
      "id": "text",
      "legacyId": 1,
      "legacyViewAll": true,
      "workspaceName": "text",
      "name": "text",
      "deviceUserId": "text",
      "deviceType": "PSD",
      "role": "ADMIN",
      "pubKey": "text",
      "status": "ACTIVE",
      "isSuspended": true,
      "createdAt": "text",
      "updatedAt": "text"
    }
  ],
  "createdAt": "text",
  "updatedAt": "text"
}

Last updated